.nav-primary .ubermenu .ubermenu-item .ubermenu-submenu-drop {
    display: block;
}

/* .nav-primary .ubermenu .ubermenu-tabs-group,
.nav-primary .ubermenu .ubermenu-tab-content-panel,
.nav-primary .ubermenu .ubermenu-item.ubermenu-has-submenu-flyout .ubermenu-submenu {
    background-color: #000;
} */

.nav-primary .ubermenu .ubermenu-item .ubermenu-submenu {
    background-color: #000;
}

.nav-primary .ubermenu .ubermenu-tab-layout-left>.ubermenu-tabs-group {
    border-color: #292929;
    border-width: 0 0.75px 0 0;
}

@media (min-width: 1200px) {
    .nav-primary .ubermenu > .ubermenu-nav > .ubermenu-item > .ubermenu-submenu.ubermenu-submenu-align-full_width {
        width: calc(100vw - calc(64px* 2));
        left: 50%;
        transform: translateY(15px) translateX(-50%);
    }

    .nav-primary .ubermenu .ubermenu-submenu.ubermenu-submenu-type-flyout {
        transform: translateY(15px);
    }

    .nav-primary .ubermenu .ubermenu-submenu.ubermenu-submenu-type-mega .ubermenu-target,
    .nav-primary .ubermenu .ubermenu-submenu .ubermenu-target{
        padding-top: 5px !important;
        padding-bottom: 5px !important;
    }
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-tabs-group,
    .nav-primary .ubermenu .ubermenu-submenu.ubermenu-submenu-type-flyout{
        padding-top: 10px;
        padding-bottom: 10px;
    }
    .nav-primary .ubermenu-tab-content-panel > .ubermenu-item:nth-child(2){
        padding-right: 20px !important;
    }
    .nav-primary .ubermenu-tab-content-panel > .ubermenu-item:first-child{
        padding-left: 20px !important;
    }
    header:not(.js-scrolled) .nav-primary .ubermenu > .ubermenu-nav > .ubermenu-item > .ubermenu-submenu.ubermenu-submenu-align-full_width{
        transform: translateY(0) translateX(-50%);
    }
    header:not(.js-scrolled) .nav-primary .ubermenu .ubermenu-submenu.ubermenu-submenu-type-flyout{
        transform: translateY(0);
    }
    .ebook-widget__content h2{
        font-size: 20px;
        margin-top: 8px;
    }
    
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-item > .ubermenu-target > i {
    right: -20px;
    margin-top: -10px;
    color: #E4212E;
}

.nav-primary .ubermenu .ubermenu-nav > .ubermenu-item > .ubermenu-target > i {
    margin-top: -6px;
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item > .ubermenu-target > i {
    right: 0;
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item.ubermenu-tab > .ubermenu-target > i {
    right: 20px;
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children > .ubermenu-target,
.nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children > .ubermenu-target > i {
    display: inline-block;
    vertical-align: middle;
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children > .ubermenu-target + i {
    margin-left: 10px;
    transition: none;
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item.ubermenu-item-has-children > .ubermenu-target + i {
    position: absolute;
}

@media (min-width: 1200px) {
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item.ubermenu-item-has-children > .ubermenu-target + i {
        position: absolute;
        top: 50%;
        transform: translateY(-50%) rotate(-90deg);
        right: 10px;
    }
}

.nav-primary .ubermenu .ubermenu-submenu.ubermenu-submenu-type-flyout {
    width: 212px;
}

.nav-primary .ubermenu .ubermenu-submenu .ubermenu-target {
    font-size: 16px;
    text-transform: uppercase;
}

.nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-active > .ubermenu-target,
.nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-active > .ubermenu-target + i,
.nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-active > .ubermenu-target > i {
    color: #E4212E;
}

@media (min-width: 1200px) {
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item:hover > .ubermenu-target,
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item:hover > .ubermenu-target + i,
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item:hover > .ubermenu-target > i {
        color: #E4212E;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-tabs-group {
        width: 285px;
    }

    .nav-primary .ubermenu .ubermenu-tab .ubermenu-tab-content-panel {
        width: calc(100% - 285px);
        height: auto;
    }

    .nav-primary .ubermenu .ubermenu-tab.ubermenu-active .ubermenu-tab-content-panel {
        display: flex;
        flex-wrap: wrap;
        gap: 42px;
    }

    .nav-primary .ubermenu .ubermenu-tab .ubermenu-column-1-3 {
        width: calc(33.33% - 21px);
    }

    .nav-primary .ubermenu .ubermenu-tab .ubermenu-column-2-3 {
        width: calc(66.66% - 21px);
    }

    .nav-primary .ubermenu-tab-content-panel > .ubermenu-item:first-child,
    .nav-primary .ubermenu-tab-content-panel > .ubermenu-item:nth-child(2) {
        padding: 33px 53px;
    }

    .nav-primary .ubermenu-tab-content-panel > .ubermenu-item:first-child {
        padding-right: 20px;
    }

    .nav-primary .ubermenu-tab-content-panel > .ubermenu-item:nth-child(2) {
        padding-left: 20px;
    }

    .nav-primary .ubermenu-tabs + .ubermenu-row {
        display: none;
    }
}

.ubermenu-custom-content-padded img,
.nav-primary .ubermenu-tab-content-panel > .ubermenu-item:nth-child(3) img {
    width: 100%;
    height: 320px;
    border-radius: 6px;
    overflow: hidden;
    object-fit: cover;
}


.nav-primary .ubermenu-tab-content-panel > .ubermenu-item:nth-child(3) > .ubermenu-submenu {
    padding-bottom: 0;
}

@media (min-width: 1200px) {
    .nav-primary {
        display: block !important;
    }

    .mobile-view-show {
        display: none !important;
    }

    .ubermenu-tabs ul li.ubermenu-has-submenu-drop > a {
        width: 100%;
    }
}

@media (max-width: 1199px) {
    .mobile-view-show {
        border-bottom: 1px solid #ffffff2b !important;
        background: #343434 !important;
    }

    .nav-primary {
        position: fixed;
        left: 0;
        top: 89px;
        width: 100%;
        height: calc(100% - 89px);
        background-color: rgba(0, 0, 0, 0.85);
    }

    .nav-primary .ubermenu .ubermenu-target {
        color: #fff;
        font-family: "Oswald", sans-serif;
    }

    .nav-primary .ubermenu-responsive-toggle {
        display: none;
    }

    .nav-primary .ubermenu-responsive.ubermenu {
        visibility: visible;
        overflow: auto !important;
        max-height: 100% !important;
        height: auto;
        background-color: #000;
        position: relative;
        top: 0;
    }

    .nav-primary .ubermenu-responsive.ubermenu-responsive-collapse .ubermenu-item.ubermenu-active > .ubermenu-submenu {
        display: block;
    }
    
    .nav-primary .ubermenu-responsive.ubermenu-responsive-collapse .ubermenu-item .ubermenu-submenu.ubermenu-tabs-group {
        display: block;
    }

    .nav-primary .ubermenu-responsive.ubermenu-responsive-collapse .ubermenu-item.ubermenu-active > .ubermenu-tab-content-panel .ubermenu-submenu {
        display: block;
    }

    .nav-primary .ubermenu-nav > .ubermenu-item > a {
        width: 100%;
    }

    .nav-primary .ubermenu-nav > .ubermenu-item.ubermenu-active > a {
        background-color: #222121;
        color: #fff;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-active > .ubermenu-target,
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-active > .ubermenu-target + i {
        color: #fff;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item {
        border-bottom: 0.5px solid #343434;
        position: relative;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item {
        border-bottom: 0.5px solid #383838;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-submenu .ubermenu-item {
        border-bottom: 0.5px solid #fafafa;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-active > .ubermenu-target + i:before {
        position: relative;
        transform: rotate(-180deg);
        display: inline-block;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children > .ubermenu-target {
        display: block;
        width: 100%;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children > .ubermenu-target + i {
        top: -3px;
        transform: rotate(0deg);
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children .ubermenu-item.ubermenu-item-has-children.ubermenu-active > .ubermenu-target {
        background-color: #9D000A;
    }

    .nav-primary .ubermenu .ubermenu-nav {
        border-top: 0.5px solid #343434;
    }

    .nav-primary .ubermenu-nav > .ubermenu-item > a {
        padding-inline: 53px;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item > .ubermenu-target {
        padding-inline: 73px;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-submenu .ubermenu-item > .ubermenu-target {
        padding-inline: 93px;
    }

    .nav-primary .ubermenu .ubermenu-item .ubermenu-submenu {
        background-color: #343434;
    }

    .nav-primary .ubermenu .ubermenu-item .ubermenu-submenu .ubermenu-submenu {
        background-color: #fff;
    }

    .nav-primary .ubermenu .ubermenu-item .ubermenu-submenu .ubermenu-submenu .ubermenu-target {
        color: #000;
    }
}

@media( min-width:1025px ) and ( max-width: 1199px ) {

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item {
        position: relative;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-item.ubermenu-item-has-children > .ubermenu-target + i {
        top: 20px;
        transform: rotate(0deg);
        position: absolute;
        right: 30px;
    }
}

@media( min-width:768px ) and ( max-width: 1199px ) {
    .dealer-login-mobile {
        display: none !important;
    }
}

@media (max-width: 767px) {
    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-item > .ubermenu-target {
        padding-inline: 43px;
    }

    .nav-primary .ubermenu .ubermenu-nav .ubermenu-submenu .ubermenu-submenu .ubermenu-item > .ubermenu-target {
        padding-inline: 63px;
        padding-block: 10px;
    }

    .nav-primary {
        top: 82px;
        height: calc(100% - 82px);
    }   

    .nav-primary .ubermenu-nav > .ubermenu-item > a {
        padding-inline: 23px;
    }
}